Subject: Re: bug#20784: 25.0.50; pcase documentation on t and nil

From: Stefan Monnier <[email-masked]>
Date: Wed, 10 Jun 2015 23:07:35 -0400

> SELFQUOTING matches itself. This includes keywords, numbers, and strings.

> However, that doesn't apply to t and nil, instead, they are covered by
> the SYMBOL clause.

I think the problem is in the wording: t and nil are neither keywords,
nor numbers, nor strings, which is why they aren't treated as
SELFQUOTING.  IOW the wording shouldn't say "including" but make it
clear that these are the (currently) only accepted selfquoting entities.
E.g. vectors (and friends) aren't considered as SELFQUOTING by
pcase either.

        Stefan